import datetime

from enum import Enum

from pydantic import BaseModel, Field
from datetime import datetime


class Type(Enum):
    PASSWORD = "password"
    ACCESS_TOKEN = "access_token"
    REFRESH_TOKEN = "refresh_token"
    API_KEY = "api_key"

class Status(Enum):
    ACTIVE = "Active"
    EXPIRED = "Expired"
    DELETED = "Deleted"

class AccountKeyring(BaseModel):
    owner_id: int
    key_type: Type
    key_id: str = Field(..., max_length=40)
    key_value: str = Field(..., max_length=64)
    created_at: datetime
    expiry: datetime
    status: Status
